package cn.com.infosec.crypto.params;

import cn.com.infosec.crypto.CipherParameters;
import java.math.BigInteger;

public class RSABlindingParameters implements CipherParameters {
   private RSAKeyParameters publicKey;
   private BigInteger blindingFactor;

   public RSABlindingParameters(RSAKeyParameters publicKey, BigInteger blindingFactor) {
      if (!(publicKey instanceof RSAPrivateCrtKeyParameters)) {
         this.publicKey = publicKey;
         this.blindingFactor = blindingFactor;
      } else {
         throw new IllegalArgumentException("RSA parameters should be for a public key");
      }
   }

   public RSAKeyParameters getPublicKey() {
      return this.publicKey;
   }

   public BigInteger getBlindingFactor() {
      return this.blindingFactor;
   }
}
